package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag103;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT103Creator;

import java.util.List;

/**
 * @author wanggang
 * @date 2023/2/20
 */
public class Tag13CCreator extends AbsTagCreate {

     private MT103Creator mt103Creator;

    public Tag13CCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt103Creator= (MT103Creator) absMTCreator;
    }

    public void creator()
    {
        List tag13CValue = mt103Creator.getTimeIndication();
        if(tag13CValue != null) { mt103Creator.set("13C", tag13CValue, true); }
    }
}

